Bug 232158 - comms/conserver-com: fails to build with OpenSSL 1.1.1
Summary: comms/conserver-com: fails to build with OpenSSL 1.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-10 18:00 UTC by Ed Maste
Modified: 2018-10-12 16:38 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2018-10-10 18:00:27 UTC
exp-run build log: http://package18.nyi.freebsd.org/data/headamd64PR231931-default/2018-10-04_07h49m12s/logs/errors/conserver-com-8.2.1_1.log

OpenSSL 1.1.1 is now in head.

Conserver 8.2.2 reportedly is compatible with OpenSSL 1.1:
> I just published version 8.2.2 to GitHub.  Aside from some general doc updates
> (because of the move to GitHub), we have a fix for running with OpenSSL 1.1
> (and above, I hope) assembled by Eneas U de Queiroz (from some original work by
> Chris West)!
> 
> You can find the release here: https://github.com/conserver/conserver/releases/tag/v8.2.2
Comment 1 Sean Bruno freebsd_committer 2018-10-11 22:00:44 UTC
https://reviews.freebsd.org/D17524

Patch.  I'll fix if approved.
Comment 2 commit-hook freebsd_committer 2018-10-12 15:51:06 UTC
A commit references this bug:

Author: sbruno
Date: Fri Oct 12 15:50:46 UTC 2018
New revision: 481910
URL: https://svnweb.freebsd.org/changeset/ports/481910

Log:
  comms/conserver-com:  Update for openssl 1.1.1 in 12-CURRENT.

  - Add BSD3CLAUSE license (0mp)
  - Switch to github from sourceforge (sbruno)
  - portlint cleanups (bunch of people)

  PR:		232158
  Submitted by:	0mp
  Reported by:	jhb
  Reviewed by:	emaste
  Differential Revision:	https://reviews.freebsd.org/D17524

Changes:
  head/comms/conserver-com/Makefile
  head/comms/conserver-com/distinfo